Bulk Update Binder Templates
Update from 1-500 binder templates in your Vault.
By changing the document type/subtype/classification, you can move an existing binder template to a different level of the document type hierarchy, effectively reclassifying the template.
See also: Update [Single] Binder Template above.
PUT
/api/{version}/objects/binders/templatesHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or text/csv |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body ParametersYou can update the following fields on binder templates:
| Name | Description |
|---|---|
name__vrequired | Change the name of existing binder templates. |
label__voptional | Change the label of existing binder templates. This is the name users will see among the available binder templates in the UI. |
type__vrequired | Change the document type to which the templates are associated. |
subtype__voptional | Change the document subtype to which the templates are associated. This is only required if associating the templates with document subtypes. |
classification__voptional | Change the document classification to which the templates are associated. This is only required if associating the templates with document classifications. |
active__voptional | Set to true or false to indicate whether or not the binder templates should be set to active, i.e., available for selection when creating a binder. |
Example CSV Input
Section link for Example CSV Inputname__v | label__v | active__v |
|---|---|---|
| binder_template_2__c | Second Binder Template | true |
| binder_template_3__c | Binder Template 3 | true |
| binder_template_4__c | Binder Template 4 | false |
In this example input, we're updating three existing binder templates in our Vault.
- On the first template, we're updating both the
name__vandlabel__vvalues. - On the second template, we're updating the
name__vvalue and setting theactive__vvalue totrue. - On the third template, we're updating the
name__vvalue and setting theactive__vvalue tofalse.
Including a binder field name in the input but leaving its value blank will clear existing values from the field.
In this example:
- The input file format is set to CSV.
- The response format is not set and will default to JSON.
- The path/name of the CSV input file in our local directory is specified.
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
--data-binary @"C:\Vault\Templates\update_binder_templates.csv" \
https://myvault.veevavault.com/api/v24.2/objects/binders/templatesResponse
Section link for ResponseresponseStatus,name,errors
SUCCESS,binder_template_2__c,
SUCCESS,binder_template_3__c,
SUCCESS,binder_template_4__c,Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the names of the updated binder templates.